@charset "UTF-8";

@font-face {
	font-family: FiraMono;
	src: url("fonts/FiraMono-Regular.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: FiraMono;
	src: url("fonts/FiraMono-Bold.ttf") format("truetype");
	font-weight: bold;
	font-style: normal;
}


* {
	margin: 0;
	padding: 0;
	border: 0;
	font-family: "FiraMono", monospace;
	letter-spacing: 0.5px;
	/* line-height: 1rem; */
	box-sizing: border-box;
	user-select: none;
}

body {
	position: fixed;
	display: grid;
	width: 100%;
	height: 100%;
	grid-gap: 0 0;
	grid-template-columns: 1fr calc(256px + 10px + 32px) 1fr;
	grid-template-rows: 100%;
	background-color: #262626;
	font-size: 12px;
}

#left canvas, #right canvas {
	max-width: 100%;
	max-height: 100%;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

#left, #right {
	padding: 16px;
}

#middle {
	padding: 16px;
	background-color: #353535;
}

.container {
	position: relative;
}

#left .container, #right .container {
	height: 100%;
}

#middle .container {
	margin-bottom: 16px;
}

#palette.container {
	padding: 5px;
	border-radius: 3px;
	background-color: #262626;
}

#palette.container canvas {
	display: block;
	cursor: crosshair;
}

/* .container::before {
    content: attr(data-label);
    position: absolute;
    height: 9px;
    line-height: 9px;
    font-size: 9px;
    letter-spacing: 1px;
    font-weight: bold;
    color: #BBBBBB;
    text-transform: uppercase;
    top: -12px;
	padding: 2px;
} */


#separation {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1000;
	max-height: 100%;
}



.ink {
	display: grid;
	background-color: #262626;
	width: 100%;
	padding: 4px 6px 4px 6px;
	color: white;
	grid-template-columns: 42px 1fr;
	cursor: pointer;
	border-radius: 21px;
	align-items: center;
}

.ink * {
	pointer-events: none;
}

.ink:first-of-type {
	margin-bottom: 4px;
}

.ink.active {
	outline: 1px solid #AAAAAA;
}

.ink-swatch {
	width: 30px;
	height: 30px;
	margin: 0px;
	border-radius: 18px;
}

.ink-info {
	margin-left: 0px;
}

.ink-name {
	height: 19px;
	line-height: 19px;
}

.ink-value {
	font-size: 10px;
	float: left;
	margin-right: 1.5ch;
	color: #999999;
	height: 13px;
	line-height: 13px;
}

.ink-value-l::before {
	content: "L ";
	font-size: 9px;
}

.ink-value-a::before {
	content: "a ";
	font-size: 9px;
}

.ink-value-b::before {
	content: "b ";
	font-size: 9px;
}

.ink-value-c::before {
	content: "c ";
	font-size: 8px;
}

.ink-value-h::before {
	content: "h ";
	font-size: 9px;
}






.switch {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-bottom: 16px;
	cursor: pointer;
}
.switch-label {
	text-transform: uppercase;
	letter-spacing: 2px;
	font-size: 10px;
	font-weight: bold;
	color: #BBBBBB;
}
.switch-groove {
	position: relative;
	width: 32px;
	height: 16px;
	margin: 0 8px;
	border-radius: 8px;
	background-color: #262626;
}
.switch-button {
	position: absolute;
	width: 16px;
	height: 16px;
	border-radius: 8px;
	background-color: #353535;
	border: 2px solid #262626;
	transition: 50ms linear;
}
.switch[data-value="0"] .switch-button {
	left: 0;
}
.switch[data-value="1"] .switch-button {
	left: 50%;
}
.switch[data-value="0"] .switch-label.switch-label0 {
	color: white;
}
.switch[data-value="1"] .switch-label.switch-label1 {
	color: white;
}





.scroll-container {
  height: 256px;
  overflow: hidden;
  background: #262626;
  position: relative;
  border-radius: 3px;
}

.scroll-content {
  padding: 0 calc(var(--scrollbar-width) * 4) 0 0;
  overflow-x: hidden;
  /* overflow-y: scroll; */
  /* width: calc(100% - 12px); */
  position: absolute;
  top: 5px;
  bottom: 5px;
  left: 5px;
  right: calc(var(--scrollbar-width) * -4);
}

.scroll-track {
  position: absolute;
  right: -100px;
  height: 100%;
  width: 16px;
  right: 0;
  /* background: #262626; */
  /* border-left: 1px solid #353535; */
}

.scroll-thumb {
  position: absolute;
  width: 100%;
  background: #353535;
  border-top: 5px solid #262626;
  border-right: 5px solid #262626;
  border-bottom: 5px solid #262626;
}







.color-book-container {
	float: left;
	margin: 8px 0 0 0;
}

.color-book-container::before {
	content: attr(data-name);
	display: block;
	width: 100%;
	line-height: 12px;
	margin: 0 0 2px 0;
	font-size: 10px;
	color: #999999;
}

body[data-paper="coated"] .color-book-container[data-paper="uncoated"] {
	display: none;
}

body[data-paper="uncoated"] .color-book-container[data-paper="coated"] {
	display: none;
}

.color {
	width: 14px;
	height: 14px;
	float: left;
	margin: 1px;
	border-radius: 7px;
	cursor: pointer;
}



.button-container {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 16px;
}

.button {
	text-transform: uppercase;
	letter-spacing: 2px;
	font-size: 10px;
	font-weight: bold;
	color: #FFFFFF;
	text-align: center;
	background-color: #262626;
	padding: 5px;
	border-radius: 6px;
	cursor: pointer;
}


.progress-bar-track {
    width: 100%;
    height: 1rem;
    background-color: #262626;
    margin-bottom: 16px;
    border-radius: 3px;
    overflow: hidden;
}

.progress-bar {
    width: 0%;
    height: 1rem;
    background-color: lime;
}

.progress-bar-label {
    position: absolute;
    top: 0;
    width: 100%;
    height: 1rem;
    line-height: 1rem;
    padding: 0 0.25rem;
    text-align: center;
	color: green;
}


#overlay {
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.8);
}

#overlay.active {
    display: flex;
}

#message {
    font-size: 15px;
    line-height: 1.2em;
    min-width: 80ch;
    max-width: 40%;
    padding: 2em;
    background-color: #353535;
    color: #FFFFFF;
}

#message h1 {
    margin-bottom: 1.5em;
    font-size: 1em;
    font-weight: bold;
}

#message h2 {
    font-size: 1em;
    font-weight: normal;
    margin-top: 1.5em;
    margin-bottom: 1em;
    text-decoration: underline;
    text-underline-offset: 0.5em;
}

#message p {
    margin-bottom: 0.5em;
}


#message ul {
    list-style-position: outside;
    list-style-type: disc;
    margin-left: 1em;
}

#message li {
    margin-bottom: 0.5em;
}

#overlay .button {
    margin-top: 4em;
}
